Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004888TestLinkTest Plan (builds, milestones, test assign)public2012-01-20 14:522012-09-01 19:58
ReporterCyrille 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004888: Unable to update test plan with last version of testcase
DescriptionImpossible to update testplan with new testcase version v2 when v1 is inactive.

This worked with TL 1.8.4
Steps To ReproduceAdd tc1 v1 to a testplan.
No execution is done on testplan.
Update tc1 to have a v2 version.
Deactivate tc1 with v1 version.
Go to "Test plan contents"-->"Update Linked Test Case Versions "

Unable to update testplan with tc1 v2, as it is marked as inactive and version list is grizzled.
Additional Informationsee capture attached
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox
PHP VersionPHP 5
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon SNAG-0210.jpg [^] (123,444 bytes) 2012-01-20 14:55

- Relationships

-  Notes
(0016280)
amitkhullar (reporter)
2012-01-21 07:40

If you deactivate a test case I think it gets deactivated completely rather than any selected version, better you should try creating a new version and just updating the same in the test plan.
(0016281)
fman (administrator)
2012-01-21 08:18

You can not deactive a TEST CASE, only TEST CASE VERSIONS.
(0016295)
Cyrille (reporter)
2012-01-24 08:19

It is what i want, to Deactivate a test case version : "Deactivate tc1 with v1 version."
(0016391)
talame (reporter)
2012-02-17 22:47
edited on: 2012-04-09 09:23

Note: Version 1 has already been executed

Here is the test scenario:
1-Create a Test Case 1, version 1
2-Create a Test Plan XYZ
3-Add Test Case 1 (version 1) to Test Plan XYZ
4-Assign Test Case 1 (version 1) to TesterA
5-Execute Test Case 1 (version 1) by TesterA
6-After executing the test case, an error has been detected in one of the Expected results (stepx) by the testeur
7-Test designer creates Test Case 1 version 2
7.1-Test designer DEACTIVATES Test Case 1 version 1
8-Test designer modifies, step/expected result
9-Test coordinator, is notified to update the Test plan with version 2 to retest
10-From the "Update Linked Test Case Versions" window to update the test plan with version 2

Actual Result:
The version drop downlist is greyed out with the message "inactive"

Expected Result:
-The test coordinator should be able to switch between versions even if the test case has been executed.
-In the execution window, the test case content should be of the selected version, i.e. version 2
-The last execution should show:
Date Build Platform Tested by Status Test Case Version attachments Run mode
 17/02/2012 15:18:33 BUILD 1Tests Systeme PLATFORM2 Tnnn AAA Passed 1

Once version 2 is executed, the execution history should show:
Date Build Platform Tested by Status Test Case Version attachments Run mode
 17/02/2012 14:18:33 BUILD 1Tests Systeme PLATFORM2 Tnnn AAA Passed 2

(0016394)
fman (administrator)
2012-02-18 08:21

@talame
thanks for detailed test case (just for the records this is level of detail we need in order to work on issues).
As soon as we will have a fix you will receive notification from mantis.
(0016556)
fman (administrator)
2012-04-10 20:00
edited on: 2012-04-10 20:06

Please try
TestLink 1.9.x
http://gitorious.org/testlink-ga/testlink-code/commit/a51eded4b8bbecc58a4aaea304528fa2b28c8a67 [^]

http://gitorious.org/testlink-ga/testlink-code/commit/a57d269ee9cc42f5ccc6fc83ada6f16916674fd1 [^]

http://gitorious.org/testlink-ga/testlink-code/commit/5ecd200dd758034b48fa1e8f374dd704ee474c23 [^]

(0016583)
talame (reporter)
2012-04-13 15:49

I have implemented your fix (patch) in my test environment version 1.9.3. However, it did not work.
If your repeat the test steps (note:0016391)

At step 10.

Actual Result:
when clicking on the test suite, a blank page appears instead of a list of test.

TY
(0016584)
fman (administrator)
2012-04-13 16:18

1. attach here zip file with all CHANGED FILES
2. any hint on webserver log and/or TL event viewer ?
(0017278)
fman (administrator)
2012-09-01 19:58

1.9.4 released

- Issue History
Date Modified Username Field Change
2012-01-20 14:52 Cyrille New Issue
2012-01-20 14:55 Cyrille File Added: SNAG-0210.jpg
2012-01-21 07:40 amitkhullar Note Added: 0016280
2012-01-21 08:18 fman Note Added: 0016281
2012-01-24 08:19 Cyrille Note Added: 0016295
2012-02-17 22:47 talame Note Added: 0016391
2012-02-18 08:21 fman Note Added: 0016394
2012-04-08 09:28 fman Assigned To => fman
2012-04-08 09:28 fman Status new => assigned
2012-04-09 09:12 fman Note Edited: 0016391 View Revisions
2012-04-09 09:23 fman Note Edited: 0016391 View Revisions
2012-04-10 20:00 fman Note Added: 0016556
2012-04-10 20:00 fman Tag Attached: TO BE FIXED on 2.0
2012-04-10 20:06 fman Note Edited: 0016556 View Revisions
2012-04-12 12:35 fman Relationship added related to 0004972
2012-04-13 15:49 talame Note Added: 0016583
2012-04-13 16:18 fman Note Added: 0016584
2012-04-14 17:45 fman Status assigned => work in progress
2012-08-17 18:16 fman Status work in progress => assigned
2012-08-17 18:16 fman Task Workflow Status => READY FOR TESTING
2012-08-17 18:16 fman Status assigned => resolved
2012-08-17 18:16 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2012-08-17 18:16 fman Resolution open => fixed
2012-09-01 19:58 fman Note Added: 0017278
2012-09-01 19:58 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker